gr::dab::firecode_check_bb Class Referenceabstract

`#include <firecode_check_bb.h>`

Inheritance diagram for gr::dab::firecode_check_bb:
[legend]

## Public Types

typedef std::shared_ptr< firecode_check_bb > | sptr

## Public Member Functions

virtual bool | get_firecode_passed ()=0

## Static Public Member Functions

static sptr | make (int bit_rate_n)
| Return a shared_ptr to a new instance of dab::firecode_check_bb.

## Detailed Description

checks firecode of logical frames

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<firecode_check_bb> gr::dab::firecode_check_bb::sptr

## Member Function Documentation

## get_firecode_passed()

virtual bool gr::dab::firecode_check_bb::get_firecode_passed | ( |  | ) |

pure virtual

Implemented in gr::dab::firecode_check_bb_impl.

## make()

sptr gr::dab::firecode_check_bb::make | ( | int | bit_rate_n | ) |

static

Return a shared_ptr to a new instance of dab::firecode_check_bb.

To avoid accidental use of raw pointers, dab::firecode_check_bb's constructor is in a private implementation class. dab::firecode_check_bb::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- firecode_check_bb.h